resources/safety/subresources/alerts/methods/retrieve/index.md +0 −93 deleted
File Deleted View Diff
1## Get project safety alert
2
3**get** `/safety/alerts/{id}`
4
5Get a safety alert belonging to the authenticated API project.
6
7### Path Parameters
8
9- `id: string`
10
11 Project safety alert ID
12
13### Returns
14
15- `SafetyAlert object { id, created_at, error_type, 6 more }`
16
17 - `id: string`
18
19 - `created_at: number`
20
21 - `error_type: "potentially_unintended_data_transfer" or "potentially_unintended_data_access" or "potentially_unintended_destructive_activity" or "other"`
22
23 - `"potentially_unintended_data_transfer"`
24
25 - `"potentially_unintended_data_access"`
26
27 - `"potentially_unintended_destructive_activity"`
28
29 - `"other"`
30
31 - `model: string`
32
33 - `object: "safety.alert"`
34
35 - `"safety.alert"`
36
37 - `reason: string or null`
38
39 A customer-safe description derived from error_type, or null for zero data retention requests.
40
41 - `request_id: string`
42
43 - `request_paused: boolean`
44
45 Whether block registration succeeded for this request. This does not confirm that response execution stopped.
46
47 - `response_id: string`
48
49### Example
50
51```http
52curl https://api.openai.com/v1/safety/alerts/$ID \
53 -H "Authorization: Bearer $OPENAI_API_KEY"
54```
55
56#### Response
57
58```json
59{
60 "id": "id",
61 "created_at": 0,
62 "error_type": "potentially_unintended_data_transfer",
63 "model": "model",
64 "object": "safety.alert",
65 "reason": "reason",
66 "request_id": "request_id",
67 "request_paused": true,
68 "response_id": "response_id"
69}
70```
71
72### Example
73
74```http
75curl https://api.openai.com/v1/safety/alerts/alert_0123456789abcdef0123456789abcdef \
76 -H "Authorization: Bearer $OPENAI_API_KEY"
77```
78
79#### Response
80
81```json
82{
83 "id": "alert_0123456789abcdef0123456789abcdef",
84 "object": "safety.alert",
85 "created_at": 1787659200,
86 "request_id": "req_123",
87 "response_id": "resp_123",
88 "model": "gpt-6-astra",
89 "request_paused": true,
90 "error_type": "potentially_unintended_data_access",
91 "reason": "Potentially unintended data access."
92}
93```